.gld {
    background: #F4F3F3;
    border-radius: 12px;
    display: flex;
    padding: 2px;
    color: #000;
    width: 286px;
}

.gld__item {
    padding: 5px;
    flex-grow: 1;
    flex-shrink: 0;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    min-height: 44px;
    cursor: default;
    width: 50%;
}

.gld__item--inactive {
    cursor: pointer;
}

.gld__name {
    z-index: 2;
    position: relative;
    font: 500 16px/20px 'sf pro display';
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #777;
    transition: color 200ms;
}

.gld__item--active .gld__name {
    color: var(--switcher-active-color);
}

.gld__item--inactive:hover .gld__name {
    color: #000;
}

.gld__pointer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--switcher-pointer-bg);
    border-radius: 10px;
    transition: transform 200ms;
    box-shadow: 0px 0px 32px rgba(0, 0, 0, 0.07);
    transform: translateX(0%);
}